ChartDirector Ver 4.1 (PHP Edition Edition)

DrawArea.text4

Usage

text4(text, font, fontIndex, fontHeight, fontWidth, angle, vertical)

Description

Creates a TTFText object representing a text block.
The TTFText object contains methods to measure and draw the text. This method is useful if the size of the text is needed before deciding where the draw it.

Arguments

Argument | Default | Description
--- | --- | ---
text | (Mandatory) | A string representing the text to be drawn. See ChartDirector Mark Up Language on how to embed special tags in the text for sophisticated formatting.
font | (Mandatory) | The font name. See Font Specification for details on various font attributes.
fontIndex | (Mandatory) | The font index in case the font name refers to a font collection. An index of 0 means the first font.
fontHeight | (Mandatory) | The font height in points.
fontWidth | (Mandatory) | The font width in points.
angle | (Mandatory) | The rotation angle of the text.
vertical | (Mandatory) | A true (non-zero) value means the text is layout vertically (from top to bottom). A false (zero) value means the is layout horizontally (from left to right).

Return Value

The TTFText object created.

© 2006 Advanced Software Engineering Limited. All rights reserved.